# pion::process Class Reference

`#include <process.hpp>`

List of all members.

## Classes

struct | config_type
| data type for static/global process configuration information More...

## Public Member Functions

| process (void)
| default constructor

## Static Public Member Functions

static void | shutdown (void)
| signals the shutdown condition
static void | wait_for_shutdown (void)
| blocks until the shutdown condition has been signaled
static void | initialize (void)
| sets up basic signal handling for the process
static void | daemonize (void)
| fork process and run as a background daemon

## Static Protected Member Functions

static config_type & | get_config (void)
| returns a singleton instance of config_type

## Detailed Description

process: class for managing process/service related functions

Definition at line 26 of file process.hpp.

The documentation for this class was generated from the following files:

- include/pion/process.hpp
- src/process.cpp